commit: 110938ff6d00e8d351a154ffabc29592b2d9cbc9
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Thu May 18 22:28:47 2017 +0000
Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Thu May 18 22:29:06 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=110938ff
dev-db/firebird: Make it build. It might even install.
See libreoffice core repo for patches still to be added.
Package-Manager: Portage-2.3.5, Repoman-2.3.2
dev-db/firebird/firebird-3.0.2.32703.0.ebuild | 16 ++++++++--------
1 file changed, 8 insertions(+), 8 deletions(-)
diff --git a/dev-db/firebird/firebird-3.0.2.32703.0.ebuild
b/dev-db/firebird/firebird-3.0.2.32703.0.ebuild
index 345fb30b315..9180b5aa186 100644
--- a/dev-db/firebird/firebird-3.0.2.32703.0.ebuild
+++ b/dev-db/firebird/firebird-3.0.2.32703.0.ebuild
@@ -17,8 +17,7 @@ LICENSE="IDPL Interbase-1.0"
SLOT="0"
KEYWORDS=""
-IUSE="debug doc examples +superserver xinetd"
-REQUIRED_USE="?? ( superserver xinetd )"
+IUSE="doc examples xinetd"
CDEPEND="
dev-libs/icu:=
@@ -33,8 +32,6 @@ RDEPEND="${CDEPEND}
!sys-cluster/ganglia
"
-RESTRICT="userpriv"
-
S="${WORKDIR}/${MY_P}"
# this is work in progress and likely does not build yet
@@ -87,13 +84,16 @@ src_configure() {
filter-flags -fprefetch-loop-arrays
filter-mfpmath sse
+ # otherwise this doesnt build with gcc-6?
+ # http://tracker.firebirdsql.org/browse/CORE-5099
+ append-cflags -fno-sized-deallocation -fno-delete-null-pointer-checks
+ append-cxxflags -fno-sized-deallocation -fno-delete-null-pointer-checks
-Wno-narrowing
+ # -std=c++11
+
econf \
--prefix=/usr/$(get_libdir)/firebird \
- $(use_enable superserver) \
- $(use_enable debug) \
--with-editline \
--with-system-editline \
- --with-system-icu \
--with-fbbin=/usr/bin \
--with-fbsbin=/usr/sbin \
--with-fbconf=/etc/${PN} \
@@ -121,7 +121,7 @@ src_compile() {
}
src_install() {
- cd "gen/${PN}" || die
+ cd "gen/Release/${PN}" || die
if use doc; then
dodoc "${S}"/doc/*.pdf